package	jp.co.sds_corp.hibiya.filter;

import java.io.Serializable;

import jp.co.sds_corp.hibiya.server.CheckerChangeEvent;
import jp.co.sds_corp.util.config.IConfigSavable;
import jp.co.sds_corp.util.config.IConfigurable;

/**
* CheckerChangeEventをフィルタリングします。
*/
public interface IFilter extends IConfigurable, IConfigSavable, Serializable
{
	/**
	* CheckerChangeEventのがこのフィルタの条件に合致するかを検査します。
	* @param    ev		データ受信イベント
	* @return   イベントのがこのフィルタの条件に合致すればtrue、しなければfalse
	*/
	public boolean match( CheckerChangeEvent ev );

}
